mod item_model;
mod resource;
mod weapon;

pub use item_model::ItemModel;
pub use resource::ResourceItem;
pub use weapon::Weapon;

#[derive(Debug, PartialEq, Eq, Clone, Copy)]
pub struct ItemUID(u32);

impl ItemUID {
    pub fn value(&self) -> u32 {
        self.0
    }
}

impl From<u32> for ItemUID {
    fn from(value: u32) -> Self {
        Self(value)
    }
}
